Issue 11453

Title
The supply dates interval is shorter with multiple suppliers
Priority
bug
Status
resolved
Nosy list
bernatnan, ced, reviewbot, roundup-bot
Assigned to
ced
Keywords
backport, review

Created on 2022-05-04.11:59:05 by bernatnan, last changed 3 days ago by roundup-bot.

Messages

New changeset a2fc4cbcb9e1 by Cédric Krier in branch 'default':
Skip product supplier without lead time to compute supply dates
https://hg.tryton.org/tryton-env/rev/a2fc4cbcb9e1
New changeset 3819439a2560 by Cédric Krier in branch 'default':
Skip product supplier without lead time to compute supply dates
https://hg.tryton.org/modules/stock_supply/rev/3819439a2560
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2022-05-04.12:34:48

I guess we need a special break for the case of supplier without lead time because they can any be used.

Author: [hidden] (bernatnan)
Date: 2022-05-04.11:59:05

Since the patch of review366931003 of Issue11318 is applied, the calculation of stock supply never end. This happen when the product supplier don't have lead time. If I undo the commit, it works.

I tested it on v6.0.

History
Date User Action Args
2022-05-19 22:04:16roundup-botsetmessages: + msg76730
2022-05-19 22:04:05roundup-botsetmessages: + msg76729
nosy: + roundup-bot
status: testing -> resolved
2022-05-14 00:24:06reviewbotsetmessages: + msg76636
nosy: + reviewbot
2022-05-14 00:10:02cedsetassignedto: ced
keyword: + backport, review
reviews: 413141003
status: chatting -> testing
2022-05-04 12:34:48cedsetmessages: + msg76462
nosy: + ced
status: unread -> chatting
2022-05-04 11:59:05bernatnancreate

Showing 10 items. Show all history (warning: this could be VERY long)